net.sourceforge.jnlp

## Class AssociationDesc

- java.lang.Object
- - net.sourceforge.jnlp.AssociationDesc

-     public final class AssociationDesc
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationDesc(java.lang.String mimeType, java.lang.String[] extensions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getExtensions()` Return the extensions for this association
    `java.lang.String` | `getMimeType()` Return the mimetype for this association

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationDesc

          public AssociationDesc(java.lang.String mimeType,
                         java.lang.String[] extensions)
                          throws ParseException

      Throws:
        `ParseException`

  - ### Method Detail

    - #### getExtensions

          public java.lang.String[] getExtensions()

      Return the extensions for this association

    - #### getMimeType

          public java.lang.String getMimeType()

      Return the mimetype for this association

Submit a bug or feature